> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/creator/content-creator-ko/sdk7/getting-started/dev-workflow.md).

# 개발 워크플로

아이디어 구상부터 테스트와 게시까지, Creator Hub로 Decentraland 씬을 만드는 권장 워크플로.

이 문서는 아이디어 구상부터 게시 및 그 이후까지, Decentraland용 씬을 개발할 때 권장되는 단계들을 설명합니다.

## Decentraland 씬은 어떻게 만들나요?

1. **설치하세요** [**크리에이터 허브**](https://decentraland.org/download/creator-hub)— 씬을 만들고, 미리보고, 게시할 수 있는 공식 데스크톱 앱입니다. 모든 숙련도 수준의 크리에이터에게 권장되는 도구입니다.
2. **AI 코딩 도우미를 사용하는 경우** (Claude Code, Cursor, Copilot 등), 공식 [Decentraland SDK Skills](/creator/content-creator-ko/sdk7/getting-started/vibe-coding.md) 를 설치하여 검증된 SDK7 패턴을 알 수 있도록 하세요: `npx skills add decentraland/sdk-skills`
3. **이** [**CLI**](/creator/content-creator-ko/sdk7/getting-started/using-the-cli.md) 는 고급 사용자와 자동화된 워크플로를 위한 대안입니다.

아래 섹션에서는 해당 워크플로의 각 단계를 자세히 설명합니다.

## Creator Hub 설치하기

Decentraland Creator Hub가 설치되어 있는지 확인하세요.

* [설치 가이드](/creator/content-creator-ko/scene-editor/get-started/editor-installation.md)

코드 작업을 할 계획이라면, 또한 다음도 설치했는지 확인하세요 [Visual Studio Code](https://code.visualstudio.com/) 또는 [Cursor AI](https://www.cursor.com/).

{% hint style="info" %}
**💡 팁**: 일반 언어 설명만으로 씬 코드를 생성하는 데 AI 비서를 사용할 수도 있습니다. 다음을 참조하세요 [AI와 함께하는 바이브 코딩](/creator/content-creator-ko/sdk7/getting-started/vibe-coding.md) AI 지원 개발을 시작하는 방법은 다음을 참조하세요.
{% endhint %}

## 경험을 설계하세요

얼마나 많은 공간이 필요한지, 어떤 유형의 분포가 필요한지, 플레이어가 수행할 수 있기를 원하는 메커니즘은 무엇인지 등을 생각해 보세요. 다음 문서들이 가이드가 될 수 있습니다:

* [UX 및 UI 가이드](/creator/content-creator-ko/sdk7/designing-the-experience/ux-ui-guide.md)
* [게임을 위한 설계 제약](/creator/content-creator-ko/sdk7/designing-the-experience/design-games.md)
* [씬 MVP 가이드라인](/creator/content-creator-ko/sdk7/designing-the-experience/mvp-guidelines.md)

## 게시할 위치

Decentraland에서는 제한된 공간의 인접한 땅에 콘텐츠가 게시됩니다. 플레이어는 한 곳에서 다른 곳으로 자유롭게 걸어갈 수 있습니다. 각 씬은 독립된 작은 세계이며, 한 씬의 아이템은 다른 씬으로 확장될 수 없고, 각 씬의 코드는 다른 모든 씬과 샌드박스화되어 있습니다.

각 항목에 게시할 수 있는 권한은 토큰으로 제어됩니다. 씬을 개발하는 데 땅은 필요하지 않지만, 게시할 준비가 되면 LAND에 대한 접근 권한이 필요합니다.

또는, Decentraland [Worlds](/creator/content-creator-ko/sdk7/publishing/publishing-options.md#decentraland-worlds)라는, 자체 포함되고 격리된 씬입니다.

다음 옵션을 사용할 수 있습니다:

* LAND 임대
* LAND 구매
* 토지 소유자로부터 권한 얻기
* Decentraland World에 게시하기, 다음을 참조하세요 [월드](/creator/content-creator-ko/sdk7/publishing/publishing-options.md#decentraland-worlds) 자세히 알아보려면.

다음 [게시 옵션](/creator/content-creator-ko/sdk7/publishing/publishing-options.md) 자세한 내용은.

## 템플릿 및 예제

새 씬을 만들 때, 기본 코드와 3D 모델이 포함된 여러 기본 템플릿 씬 중에서 선택하세요. 이를 사용하면 더 빠르게 시작할 수 있습니다.

* [예제 장면](https://studios.decentraland.org/resources?sdk_version=SDK7): 여기에서 빌릴 수 있는 다양한 메커니즘을 보여주는 예제 씬의 대규모 모음을 찾을 수 있습니다. 이들 씬을 복제하여 시작점으로 사용할 수도 있습니다.
* [도우미 라이브러리](https://studios.decentraland.org/resources?sdk_version=SDK7\&resource_type=Library): 이러한 라이브러리는 많은 일반적인 작업을 단순화할 수 있습니다.

## 아트 에셋

경험 많은 아티스트이거나 그런 사람에게 접근할 수 있다면, 씬을 위한 맞춤형 `.gltf` 또는 `.glb` 모델을 만들 수 있습니다. 다음을 참조하세요 [3D 모델 필수 요소](/creator/content-creator-ko/3d/3d-models.md) Decentraland용 3D 모델을 만드는 방법에 대한 팁을 보려면.

하지만 직접 에셋을 만들 필요는 없습니다. 다음을 참조하세요 [유용한 자료](/creator/content-creator-ko/sdk7/getting-started/useful-resources.md) 3D 모델을 찾는 데 사용할 수 있는 에셋 라이브러리와 생성형 AI 도구, 그리고 작업 흐름을 더 빠르게 해 줄 수 있는 기타 도구에 대해.

## 로컬 미리보기 실행

씬의 미리보기를 실행하려면 Creator Hub에서 열고 **실행** 버튼을 클릭하세요. 또는 명령줄에서 작업 중이라면 다음을 실행하세요 `npm run start` 프로젝트의 루트 폴더에서.

* [씬 미리보기](/creator/content-creator-ko/sdk7/getting-started/preview-scene.md) 자세한 내용은.
* 다음 항목을 확인하세요. [씬 디버그](/creator/content-creator-ko/sdk7/getting-started/preview-scene.md#debug-a-scene) 문제 해결 방법에 대한 팁은 다음을 참조하세요.
* 활성화 **에셋 압축** 에서 **데스크톱 클라이언트** 의 하위 메뉴 **실행 옵션** (또는 다음을 실행 `npm run start -- --local-ab` CLI에서) 3D 모델을 최적화된 에셋 번들로 로드하세요. 미리보기는 더 부드럽게 실행되며 모델이 게시된 후의 모습 그대로 표시됩니다. 다음을 참조하세요 [최적화된 에셋으로 미리보기](/creator/content-creator-ko/sdk7/getting-started/preview-scene.md#preview-with-optimized-assets).

{% hint style="info" %}
**💡 팁**: Creator Hub를 사용할 때 씬에 변경 사항을 적용할 때마다 미리보기가 자동으로 업데이트됩니다. 실행 중일 때도 마찬가지입니다.
{% endhint %}

## Decentraland에 게시

씬이 마음에 들면, 이제 Decentraland에 게시할 시간입니다. 이를 위해서는 LAND, Decentraland NAME, 또는 ETH ENS 이름을 소유하고 있거나, 이를 소유한 사람에게서 권한을 받아야 합니다.

다음 [게시](/creator/content-creator-ko/sdk7/publishing/publishing.md) 에서 방법을 확인하세요.

또는 다음에 게시할 수도 있습니다 [Worlds](/creator/content-creator-ko/sdk7/publishing/publishing-options.md#decentraland-worlds)라는, LAND이 필요 없는 개인 3D 공간입니다.

## 홍보하기

이제 씬이 공개되었으니, 널리 알려 보세요! 방법은 다음과 같습니다:

* 소셜 미디어에 공유하기 (#DCL)
* 다음에 공지하기 [Discord](https://dcl.gg/discord)
* 다음에 소개되도록 제출하기 [events.decentraland.org](https://events.decentraland.org/)
* 씬에서 이벤트를 개최하기
* 씬으로 연결되는 유동 인구가 많은 지역에 스폰 지점 추가하기

## 반복 개선하기

씬이 한동안 라이브로 운영되고 플레이어로부터 피드백을 받았다면, 이를 개선해 나가기에 아주 좋은 시점입니다!

개선 사항과 새 기능으로 콘텐츠를 업데이트하고, 씬의 새 버전을 같은 좌표에 배포하세요.

## 환원하기

자랑스러운 씬, 게임, 또는 애플리케이션을 만들었다면, 오픈 소스로 공개하는 것을 고려해 보세요! 그러면 다른 사람들이 여러분의 코드를 배우고 여러분의 작업을 기반으로 더 발전시킬 수 있습니다. 또한 전체 프로젝트를 다음에 공유할 수도 있습니다 [Awesome Repository](https://github.com/decentraland-scenes/Awesome-Repository).

재사용 가능한 기능을 만든다면, 다른 사람들이 자신의 프로젝트에 가져다 사용할 수 있는 라이브러리로 만드는 것도 좋습니다.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/creator/content-creator-ko/sdk7/getting-started/dev-workflow.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
